jQuery(document).ready(function() {
	
	$("#inserir-contato").click(function(){
		
		$("#form-inserir-contato").html('Nome:&nbsp;<input type="text" name="nomeContato" id="nomeContato">&nbsp;&bull;&nbsp;Email:&nbsp;<input type="text" name="emailContato" id="emailContato">&nbsp;<input type="button" name="salvarContato" id="salvarContato" value="Ok"><br/><span id="msgSuccess"></span><br/><br/>').css({'font-family': 'Verdana, Geneva, Arial, Helvetica, sans-serif' ,	'font-size' : '12px' , 'font-style' : 'italic'});

		$("#salvarContato").click(function(){

			var nomeContato = $("#nomeContato").val();
			var emailContato = $("#emailContato").val();
			var idLista = $("#idLista").val();

			$.ajax({
				type: 'POST',
				dataType: 'html',
				url: 'controladores/ajaxInsertContato.php',
				data: {'nomeContato': nomeContato, 'emailContato': emailContato, 'idLista': idLista},
				success: function(data){

					if (data == 1) {

						$("#msgSuccess").html("email " + emailContato + " cadastrado com sucesso!");

						$("#nomeContato").val('');
						$("#emailContato").val('');

					};
				}
			});
		});

	});
});

// Início editor TineMCE //
tinyMCE.init({
    // General options
    language : "pt", // adicione esta linha
    mode : "specific_textareas",
    editor_selector : "mceEditor",
    theme : "advanced",
    elements : 'relurlstopage',
    relative_urls : false,
    convert_urls : false,

    plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

    // Theme options
    theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
    theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
    theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
    theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak",
    theme_advanced_toolbar_location : "top",
    theme_advanced_toolbar_align : "left",
    theme_advanced_statusbar_location : "bottom",
    theme_advanced_resizing : true,

    // Example content CSS (should be your site CSS)
    content_css : "css/example.css",

    // Drop lists for link/image/media/template dialogs
    template_external_list_url : "js/template_list.js",
    external_link_list_url : "js/link_list.js",
    external_image_list_url : "js/image_list.js",
    media_external_list_url : "js/media_list.js",
    file_browser_callback : "tinyBrowser",

    // Replace values for the template plugin
    template_replace_values : {
            username : "Some User",
            staffid : "991234"
    }
});

// Fim editor TineMCE //

// CheckBox Novo Fabricante - Produtos //

jQuery(document).ready(function() {
    $('#novoFabricante').click(function(){
    
        if($('#novoFabricante').is(":checked") == true) {
            
            // desabilitando o campo 
            $('#selectFabricante').attr("disabled", true);
            // mudando a cor do campo
            $('#selectFabricante').css("background-color", "#cccccc");

            // add campo text
            $('#campoNovoFabricante').html('<div id="campoTextFabricante"><input type="text" name="novoTextFabricante" id="novoTextFabricante" value="Digite aqui o nome do fabricante" size="40"/></div><br/><div id="campoSiteFabricante"><input type="text" name="siteTextFabricante" id="siteTextFabricante" value="Digite aqui o site do fabricante" size="40"/></div>');

            // alterar cor da font input
            $('#novoTextFabricante').css('color','#63615d');
            $('#siteTextFabricante').css('color','#63615d')

            // limpar campo para escrever
            $('#novoTextFabricante').focus(function(){
                $('#novoTextFabricante').val('');
            });

            $('#siteTextFabricante').focus(function(){
                $('#siteTextFabricante').val('');
            });
        } //retorna true ou false

        if($('#novoFabricante').is(":checked") == false) {
            
            // Habilitando o campo 
            $('#selectFabricante').removeAttr("disabled", true);
            // mudando a cor do campo
            $('#selectFabricante').css("background-color", "#fff");

            // remover o campo text
            $('#campoTextFabricante').remove();

            // remover o campo Site
            $('#campoSiteFabricante').remove();
            
        } //retorna true ou false
    });
});

// INSERIR CAMPOS DE UPLOAD DE FOTOS GALERIA

$(function () {

    function removeCampo() {
    
        $(".removerCampo").unbind("click");
    
        $(".removerCampo").bind("click", function () {

            i=0;
    
            $("tr.linhaFotosGaleria").each(function () {
    
                i++;
    
            });

            if (i>1) {

                $(this).parent().parent().remove();
    
            }
    
        });

    }

    removeCampo();
    
    $(".adicionarCampo").click(function () {
        
        novoCampo = $("tr.linhaFotosGaleria:first").clone();
    
        novoCampo.find("input").each(function() { $(this).val("")});
    
        novoCampo.insertAfter("tr.linhaFotosGaleria:last");
    
        removeCampo();
    
    });
    
});

// FIM UPLOAD DE FOTOS GALERIA //

// INSERIR CAMPOS DE Palavras Chave

$(function () {

    function removePalavraChave() {
        $(".removerPalavraChave").unbind("click");
        $(".removerPalavraChave").bind("click", function () {
            i=0;
            $("tr.linhaPalavraChave").each(function () {
                i++;
            });

            if (i>1) {
                $(this).parent().parent().remove();
            }
        });
    }

    removePalavraChave();

    $(".adicionarPalavraChave").click(function () {
        novoPalavraChave = $("tr.linhaPalavraChave:first").clone();
        novoPalavraChave.find("input").each(function() {
            $(this).val("")
        });
        novoPalavraChave.insertAfter("tr.linhaPalavraChave:last");
        removePalavraChave();
    });
});

// FIM Palavras Chave//

$(function () {

    function removeSelProduto() {
    
        $(".removerSelProduto").unbind("click");
    
        $(".removerSelProduto").bind("click", function () {

            i=0;
    
            $("tr.linhaSelProduto").each(function () {
    
                i++;
    
            });

            if (i>1) {

                $(this).parent().parent().remove();
    
            }
    
        });

    }

    removeSelProduto();
    
    $(".adicionarSelProduto").click(function () {
        
        novoSelProduto = $("tr.linhaSelProduto:first").clone();
    
        novoSelProduto.find("input").each(function() { $(this).val("")});
    
        novoSelProduto.find("select")[0].selectedIndex = 0;

        novoSelProduto.insertAfter("tr.linhaSelProduto:last");
    
        removeSelProduto();
    
    });
    
});


// COLORBOX //

$(document).ready(function(){
    //Examples of how to assign the ColorBox event to elements
    $(".group1").colorbox({rel:'group1'});
    $(".group2").colorbox({rel:'group2', transition:"fade"});
    $(".group3").colorbox({rel:'group3', transition:"none", width:"75%", height:"75%"});
    $(".group4").colorbox({rel:'group4', slideshow:true});
    $(".ajax").colorbox();
    $(".youtube").colorbox({iframe:true, innerWidth:425, innerHeight:344});
    $(".iframe").colorbox({iframe:true, width:"80%", height:"80%"});
    $(".detalhes").colorbox({iframe:true, width:"38%", height:"58%"});
    $(".inline").colorbox({inline:true, width:"50%"});
    $(".callbacks").colorbox({
        onOpen:function(){ alert('onOpen: colorbox is about to open'); },
        onLoad:function(){ alert('onLoad: colorbox has started to load the targeted content'); },
        onComplete:function(){ alert('onComplete: colorbox has displayed the loaded content'); },
        onCleanup:function(){ alert('onCleanup: colorbox has begun the close process'); },
        onClosed:function(){ alert('onClosed: colorbox has completely closed'); }
    });
    
    //Example of preserving a JavaScript event for inline calls.
    $("#click").click(function(){ 
        $('#click').css({"background-color":"#f00", "color":"#fff", "cursor":"inherit"}).text("Open this window again and this message will still be here.");
        return false;
    });
});

// FIM COLORBOX //

// LIMITADOR DE CARACTERES PARA CAMPO TEXTAREA //

function textCounter(field, countfield, maxlimit) {

    if (field.value.length > maxlimit) {
    
        field.value = field.value.substring(0, maxlimit);
    }
    else { 
        
        countfield.value = maxlimit - field.value.length;
    }
}

// LIMITADOR DE CARACTERES PARA CAMPO TEXTAREA //

// MASCARAS REPRESENTANTE //
                    
    $(document).ready(function(){
        $(".data").mask('99/99/9999');
        $(".cnpj").mask("99.999.999/9999-99");
        $("#cep").mask("99999-999");
        $("#telefone").mask("(99)9999-9999");
        $(".phone").mask("(99)9999-9999");
        $("#celular").mask("(99)9999-9999");
        $("#precoVendaProduto").maskMoney({thousands: "",decimal:",", precision: 2});
        $("#precoCustoProduto").maskMoney({thousands: "",decimal:","});
        $("#pesoProduto").maskMoney({decimal:",", precision: 3});
    });

// FIM MASCARAS REPRESENTANTE //


// data //

jQuery.validator.addMethod("dateITA",function(value, element) {

        var check = false;

        var re = /^\d{1,2}\/\d{1,2}\/\d{4}$/;

        if( re.test(value)){

            var adata = value.split('/');

            var gg = parseInt(adata[0],10);

            var mm = parseInt(adata[1],10);

            var aaaa = parseInt(adata[2],10);

            var xdata = new Date(aaaa,mm-1,gg);

            if ( ( xdata.getFullYear() == aaaa ) && ( xdata.getMonth () == mm - 1 ) && ( xdata.getDate() == gg ) )

                check = true;

            else

                check = false;

        } else

            check = false;

        return this.optional(element) || check;

    },

    "Data inv&aacute;lida"

);

$.validator.addMethod("valueNotEquals", function(value, element, arg){
  return arg != value;
 }, "Value must not equal arg.");


jQuery(document).ready(function($) {
    jQuery("#frmCadProduto").validate({

        rules: {
            categoriaProduto:{
                valueNotEquals: "selected",
            },
            nomeProduto:{
                required: true,
            },
            textoApresentacao:{
                required: true,
            },
            precoVendaProduto:{ 
                required: true,
                valueNotEquals: 0,
            },
            pesoProduto:{ 
                required: true,
                valueNotEquals: 0
            },
            larguraProduto:{ 
                required: true,
                valueNotEquals: 0
            },
            comprimentoProduto:{ 
                required: true,
                valueNotEquals: 0
            },
            alturaProduto:{ 
                required: true,
                valueNotEquals: 0
            },
            fotoPrincipalProduto:{
                accept: "jpe?g|gif|png",
            },
            "fotoGaleriaProduto[]":{
                accept: "jpe?g|gif|png",
            }
        },

        messages: {
            categoriaProduto:{
                valueNotEquals: "Escolha uma seção do catálogo",
            },
            nomeProduto:{
                required: "Insira o nome do produto",
            },
            textoApresentacao:{
                required: "Insira o texto para integração com Redes Sociais",
            },
            pesoProduto:{ 
                required: "Os dados para calculo de frete são obrigatórios",
                valueNotEquals: "O preço não pode ser nulo",
            },
            alturaProduto:{ 
                required: "Os dados para calculo de frete são obrigatórios",
                valueNotEquals: "O preço não pode ser nulo",
            },
            larguraProduto:{ 
                required: "Os dados para calculo de frete são obrigatórios",
                valueNotEquals: "O preço não pode ser nulo",
            },
            comprimentoProduto:{ 
                required: "Os dados para calculo de frete são obrigatórios",
                valueNotEquals: "O preço não pode ser nulo",
            },
            precoVendaProduto:{ 
                required: "Informe o preço de venda do produto",
                valueNotEquals: "O preço não pode ser nulo",
            },
            fotoPrincipalProduto:{
                accept:"Escolha uma capa com formato válido"
            },
            "fotoGaleriaProduto[]":{
                accept: "Imagens Jpeg, GIF e PNG",
            }            
        },
    });
});

jQuery(document).ready(function($) {
    jQuery("#frmCadPublicacao").validate({

        rules: {
            categoria:{
                valueNotEquals: "NULL",
            },
            titulo:{
                required: true,
            },
            resumo:{
                required: true,
            },
            data:{
                required: true, 
                dateITA: true,
            },
            btnUpload:{
                accept: "jpe?g|gif|png",
            },
            "fotoGaleriaProduto[]":{
                accept: "jpe?g|gif|png",
            }
        },

        messages: {
            categoria:{
                valueNotEquals: "Escolha uma seção do catálogo",
            },
            titulo:{
                required: "Insira o título da publicação",
            },
            resumo:{
                required: "Insira o texto para integração com Redes Sociais",
            },
            data:{
                required: "Informe a data do artigo", 
                dateITA: "Data Inválida",
            }
        },
    });
});

jQuery(document).ready(function($) {
    jQuery("#frmCategoria").validate({

        rules: {
            nomeCategoria:{
                required: true,
            },
            descricaoCategoria:{
                required: true,
            }
        },

        messages: {
            nomeCategoria:{
                required: "Insira o título da seção",
            },
            descricaoCategoria:{
                required: "Insira o texto para integração com Redes Sociais",
            }
        },
    });
});

jQuery(document).ready(function($) {
    jQuery("#frmCadEmail").validate({

        rules: {
            email:{
                required: true,
                email: true
            }
        },

        messages: {
            email:{
                required: "Digite o Email",
                email: "Email Inválido"
            }
        },
    });
});

// jQuery(document).ready(function($) {
//     $(".selectSessao").change(function(){

//         var sessao = $(this).val();

//         if(sessao == 1 || sessao == 2){
//             $(".aspecto-de-produto").css("display","");
//         }

//         if(sessao == 3){
//             $(".aspecto-de-produto").css("display","none");
//         }

//         jQuery.ajax({
//           url: 'ajaxCatalogo.php',
//           type: 'GET',
//           dataType: 'html',
//           data: {idSessao: sessao},
//           success: function(data) {
//             $(".selectCategorias").html(data);
//           },
//         });
        
//     });
// });

jQuery(document).ready(function($) {
    
    jQuery('#enviar_historico').click(function(){

        if ($('input[name="statusArquivoAndamentos"]').is(':checked') == false) {

            alert("Selecione um tipo de status!");
            return false;
        }
    });
});

function MarcarTodosCheckbox(){
$("input[id='enviar[]']").each(function(){
  if(!this.checked){
    $(this).attr("checked", "checked");
  }else{
    $(this).removeAttr("checked");
  }
})
};

jQuery(document).ready(function() {
     
     $("#cep").blur(function(){

        // Se o campo CEP não estiver vazio
        if($.trim($("#cep").val()) != ""){
            /*
            Para conectar no serviço e executar o json, precisamos usar a função
            getScript do jQuery, o getScript e o dataType:"jsonp" conseguem fazer o cross-domain, os outros
            dataTypes não possibilitam esta interação entre domínios diferentes
            Estou chamando a url do serviçoo passando o parâmetro "formato=javascript" e o CEP digitado no formulário
            http://cep.republicavirtual.com.br/web_cep.php?formato=javascript&cep="+$("#cep").val()
            */
            $.getScript("http://cep.republicavirtual.com.br/web_cep.php?formato=javascript&cep="+$("#cep").val(), function(){
                // o getScript dá um eval no script, então é só ler!
                //Se o resultado for igual a 1
                if(resultadoCEP["resultado"]){
                    // troca o valor dos elementos
                    $("#logradouro").val(unescape(resultadoCEP["tipo_logradouro"])+": "+unescape(resultadoCEP["logradouro"]));
                    $("#bairro").val(unescape(resultadoCEP["bairro"]));
                    $("#cidade").val(unescape(resultadoCEP["cidade"]));
                    $("#uf").val(unescape(resultadoCEP["uf"]));
                }else{
                    alert("Endereço não encontrado");
                }
            });
        }    
     });
 });

jQuery(document).ready(function($) {
    $("#categoriaProduto").change(function(){
        var categoria = parseInt(this.value);

        if(categoria == 8 ){
            $(".linha-o-que-fazemos").css("display", "");
        }else{
            $(".linha-o-que-fazemos").css("display", "none");
        }
    })
});


jQuery("#frmCadPublicacao").ready(function($) {
    $("#categoria").change(function(){

        var sessao = parseInt($(this).val());

        if(sessao == 1){
            $(".linha-anexo").css("display", "none");
            $(".linha-subt").css("display", "");
            $(".linha-fotos").css("display", "");
            $(".linha-data").css("display", "");
        }

        if(sessao == 2){
            $(".linha-anexo").css("display", "none");
            $(".linha-subt").css("display", "none");
            $(".linha-fotos").css("display", "");
            $(".linha-data").css("display", "none");
        }

    });
});


jQuery(document).ready(function($) {
    $(".addPublicacao").click(function(){

        // alert("Clicando");

        var idPublicacao = $(this).attr('name');
        var miolo = $("#miolo").val();

        jQuery.ajax({
          url: 'controladores/publicacao-galeria/ativa-galeria.php',
          type: 'GET',
          data: {cod: idPublicacao, miolo: miolo},
          success: function(data) {
            $("#divResultado").html(data);
          }
        });
        
    });
});